petsc-3.12.1 2019-10-22
Report Typos and Errors

# TaoSetInequalityBounds

Sets the upper and lower bounds

### Synopsis

    #include "petsctao.h"
    PetscErrorCode TaoSetInequalityBounds(Tao tao, Vec IL, Vec IU)

Logically collective on Tao

### Input Parameters

| tao | - the Tao context
| IL | - vector of lower bounds
| IU | - vector of upper bounds

### See Also

TaoSetObjectiveRoutine(), TaoSetHessianRoutine() TaoSetObjectiveAndGradientRoutine()

### Level

beginner

### Location

src/tao/interface/taosolver_bounds.c

### Examples

src/tao/constrained/examples/tutorials/maros.c.html
Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages